Subject: bug#36707: [PATCH] Signal user-error on duplicate package refresh

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Aug 2019 20:18:05 +0200

Stefan Kangas <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
> > "Basil L. Contovounesios" <[email-masked]> writes:
> >
> > > Stefan Kangas <[email-masked]> writes:
> > >
> > >> In the "*Packages*" buffer (M-x package-list-packages), if I hit "r" many times
> > >> it will try to initiate more refreshes even if the first one has not finished
> > >> yet.  This is unnecessary and potentially confusing.
> > >>
> > >> This patch makes it check if there is already an refresh in progress and signal
> > >> a user-error if there is one.
> > >
> > > Would it not be possible/better to discard the existing refresh and
> > > start a new one, instead of signalling an error?  This would help
> > > e.g. when a refresh hangs for whatever reason.
> >
> > Not sure if it's better, supposing the user is hitting "r" repeatedly,
> > that just interrupts the pending refreshes, preventing any progress.  I
> > would expect hanging to be cancelled by a timeout anyway.
>
> I agree with Noam that a timeout would make more sense.  Not sure if
> it already exists or if that's a separate issue.

Are there any other objections to the patch?  Otherwise, I'll go ahead
and push it in a few days.

Thanks,
Stefan Kangas